# override definition from apache-devel
%define apache_moduledir %_libdir/apache

Name: mod_geoip
Version: 1.3.1
Release: alt1

Summary: GeoIP database access module for Apache
Group: System/Servers
License: Apache

URL: http://www.maxmind.com/app/mod_geoip
Source: http://www.maxmind.com/download/geoip/api/mod_geoip/mod_geoip_%version.tar.gz
Source2: mod_geoip.conf

# Automatically added by buildreq on Tue May 23 2006
BuildRequires: apache-devel libGeoIP-devel

%description
mod_geoip is an Apache module for finding the country that a web request
originated from. It uses the GeoIP library and database to perform
the lookup.

%prep
%setup -n mod_geoip_%version

%build
%apache_apxs -c -I/usr/include/GeoIP -lGeoIP mod_geoip.c

%install
install -pD -m755 mod_geoip.so %buildroot%apache_moduledir/mod_geoip.so
install -pD -m644 %_sourcedir/mod_geoip.conf %buildroot%apache_modconfdir/mod_geoip.conf

%post
%post_apacheconf

%postun
%postun_apacheconf

%files
%apache_moduledir/*
%config(noreplace) %apache_modconfdir/*

%changelog
* Thu Mar 27 2008 Victor Forsyuk <force@altlinux.org> 1.3.1-alt1
- 1.3.1

* Mon Apr 16 2007 ALT QA Team Robot <qa-robot@altlinux.org> 1.2.9-alt1.0
- Automated rebuild.

* Tue May 23 2006 Victor Forsyuk <force@altlinux.ru> 1.2.9-alt1
- 1.2.9

* Tue Sep 27 2005 Victor Forsyuk <force@altlinux.ru> 1.2.8-alt1
- Initial build.
